#!/bin/bash
### Joerg Doehring - 16.03.2023 ###
Y="\033[1;33m";
R="\033[0;31m";
E="\033[0m\n";
A="apt-get -y install";
D="dpkg -i";

if [ $UID != '0' ]; then
  echo -e $R"Error: must be root"$E
  exit 1
else
  echo -ne $Y"Cleaning apt cache ..."$E && apt-get clean && apt-get update 2>/dev/null; echo -ne $R"Done\n"$E
  echo -ne $Y"Install yad ..."$E && $A yad; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libipc-system-simple-perl ..."$E && $A libipc-system-simple-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libmodern-perl-perl ..."$E && $A libmodern-perl-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libutf8-all-perl ..."$E && $A libutf8-all-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libgtk3-perl ..."$E && $A libgtk3-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libglib-object-introspection-perl ..."$E && $A libglib-object-introspection-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install gir1.2-webkit2-4.0 ..."$E && $A gir1.2-webkit2-4.0; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libgtk3-webkit2-perl ..."$E && $A libgtk3-webkit2-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libmime-types-perl ..."$E && $A libmime-types-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libwww-mechanize-perl ..."$E && $A libwww-mechanize-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libfile-path-tiny-perl ..."$E && $A libfile-path-tiny-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install libfile-mimeinfo-perl ..."$E && $A libfile-mimeinfo-perl; echo -ne $R"Done\n"$E
  echo -ne $Y"Install pg3browser ..."$E && $D pg3browser*all.deb; echo -ne $Y"\n Installation of pg3Browser complete"$E
  echo -ne $Y"Cleaning apt cache ..."$E && apt-get clean 2>/dev/null; echo -ne $Y"\n Installation end\n"$E
fi
exit 0
